<?php

$ip="X.X.X.X"; // lokale IP der LaMetric Time
$port="8080"; // Port
$apikey = "123123123"; // API Key aus dem LaMetric Developer Portal

/*
Beispielaufruf
http://ip_des_webservers/LaMetricNotification.php?priority=info&cycles=1&icon=555&text=LaMetric&category=notifications&id=cat&repeat=1

priority = info/warning/critical
cycles = Anzahl der Wiederholungen
icon = Nummer des Icons aus dem LaMetric Developer Portal
text = Nachricht
category = notifications/alarms
id = Bezeichnung des Tonsignals aus dem LaMetric Developer Portal
repeat = Anzahl der akustischen Wiederholungen

Dokumentation der Parameter (Login benötigt):
http://lametric-documentation.readthedocs.io/en/latest/reference-docs/device-notifications.html
*/


// no changes below

$url = "http://" . $ip . ":" . $port . "/api/v2/device/notifications";
$apikey = "dev:" . $apikey;
$apikey = base64_encode($apikey);

$priority = $_REQUEST['priority'];
$cycles = $_REQUEST['cycles'];
$icon = $_REQUEST['icon'];
$text = $_REQUEST['text'];
$category = $_REQUEST['category'];
$id = $_REQUEST['id'];
$repeat = $_REQUEST['repeat'];
 
$message = array(
    "priority" => "$priority",
    'icon_type' => 'none',
    "model" => array(
        "cycles" => (int)$cycles,
        "frames" => array(
            array(
                "icon" => "$icon",
                "text" => "$text"
            )
		),
		"sound" => array (
			"category" => "$category",
			"id" => "$id",
			"repeat" => (int)$repeat
			)
		
 	)
);
 
$curl = curl_init();
 
$headers = array(
    "Accept: application/json",
    "Content-Type: application/json",
    "Authorization: Basic $apikey", 
    "Cache-Control: no-cache", 
);
 
echo json_encode($frames);
 
echo "\n";
 
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_URL, $url); 
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1); 
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_POST, 1); 
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($message)); 
 
 
$response = curl_exec($curl);
echo $response;
curl_close($curl);
 
?>